IntervalDomainElement
Keywords: yacs.domain.IntervalDomainElement class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## yacs.domain
Class IntervalDomainElement

    java.lang.Object
      yacs.domain.DomainElement
          yacs.domain.IntervalDomainElement

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, java.io.Serializable

public class IntervalDomainElement
extends DomainElement

Klasse zur Repräsentation von einzelnen "Elementen" für reellwertige Intervall-Domänen. Mit einem Element ist in diesem Fall ein kontinuierliches (Teil-)Intervall gemeint. Diese Klasse stützt sich auf die in der Bibliothek IAMath von Timothy J. Hickey implementierte Intervallarithmetik.

Copyright (C) 2005 Wolfgang Runte
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Version:
  YACS 0.1.1
Author:
  Wolfgang Runte (woru@tzi.org)
See Also:
  Serialized Form

Constructor Summary
`IntervalDomainElement(double lo, double hi)` Konstruktor -- Aus Gründen der Vereinfachung können zur Instantiierung auch lediglich zwei `double`-Werte als untere und obere Schranke des Intervalls angegeben werden.
`IntervalDomainElement(java.lang.Double lo, java.lang.Double hi)` Konstruktor -- Aus Gründen der Vereinfachung können zur Instantiierung auch zwei `Double`-Objekte als untere und obere Schranke des Intervalls angegeben werden.
`IntervalDomainElement(net.sourceforge.interval.ia_math.RealInterval value)` Konstruktor -- Benötigt ein `RealInterval`-Objekt zur Instantiierung.

Method Summary
`boolean` | `contains(DomainElement param)` Liefert `true`, wenn alle Werte des übergebenen Intervalls in diesem Intervall vollständig enthalten sind, `false` wenn nicht.
`DomainElement` | `divide(DomainElement param)` Methode zur Division zweier Elemente.
`boolean` | `equals(DomainElement param)` Liefert `true`, wenn die obere und untere Schranke des Intervalls jeweils identisch mit der des übergebenen Intervalls ist, `false` wenn nicht.
`double` | `getLowerBound()` Liefert die untere Schranke dieses Intervalls.
`double` | `getUpperBound()` Liefert die obere Schranke dieses Intervalls.
`java.lang.Object` | `getValue()` Liefert den Wert des Elements.
`boolean` | `greaterAs(DomainElement param)` Liefert `true`, wenn sämtliche Werte des Intervalls größer als die des übergebenen Intervalls sind, `false` wenn nicht.
`boolean` | `greaterEqualAs(DomainElement param)` Liefert `true`, wenn die Werte des Intervalls größer/gleich dem übergebenen Intervall sind, `false` wenn nicht.
`boolean` | `lowerAs(DomainElement param)` Liefert `true`, wenn sämtliche Werte des Intervalls kleiner als die des übergebenen Intervalls sind, `false` wenn nicht.
`boolean` | `lowerEqualAs(DomainElement param)` Liefert `true`, wenn die Werte des Intervalls kleiner/gleich dem übergebenen Intervall sind, `false` wenn nicht.
`DomainElement` | `minus(DomainElement param)` Methode zur Subtraktion zweier Elemente.
`boolean` | `notEquals(DomainElement param)` Liefert `true`, wenn die obere oder untere Schranke des Intervalls jeweils nicht identisch mit der des übergebenen Intervall ist, `false` wenn nicht.
`DomainElement` | `plus(DomainElement param)` Methode zur Addition zweier Elemente.
`void` | `setLowerBound(double lowerBound)` Setzt die untere Schranke dieses Intervalls.
`void` | `setUpperBound(double upperBound)` Setzt die obere Schranke dieses Intervalls.
`DomainElement` | `times(DomainElement param)` Methode zur Multiplikation zweier Elemente.
`java.lang.String` | `toString()` Liefert die Belegung dieses Elements als `String`.
`DomainElement` | `uminus()` Liefert das Element mit negativem Vorzeichen.

Methods inherited from class yacs.domain.DomainElement
`clone, cloneDeep, compareTo`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntervalDomainElement

    public IntervalDomainElement(net.sourceforge.interval.ia_math.RealInterval value)

  Konstruktor -- Benötigt ein `RealInterval`-Objekt zur Instantiierung.

### IntervalDomainElement

    public IntervalDomainElement(java.lang.Double lo,
                                 java.lang.Double hi)

  Konstruktor -- Aus Gründen der Vereinfachung können zur Instantiierung auch zwei `Double`-Objekte als untere und obere Schranke des Intervalls angegeben werden.

### IntervalDomainElement

    public IntervalDomainElement(double lo,
                                 double hi)

  Konstruktor -- Aus Gründen der Vereinfachung können zur Instantiierung auch lediglich zwei `double`-Werte als untere und obere Schranke des Intervalls angegeben werden.

Method Detail

### getLowerBound

    public double getLowerBound()

  Liefert die untere Schranke dieses Intervalls.

  Returns:
    double

### getUpperBound

    public double getUpperBound()

  Liefert die obere Schranke dieses Intervalls.

  Returns:
    double

### setLowerBound

    public void setLowerBound(double lowerBound)

  Setzt die untere Schranke dieses Intervalls.

  Parameters:
    `lowerBound` - double

### setUpperBound

    public void setUpperBound(double upperBound)

  Setzt die obere Schranke dieses Intervalls.

  Parameters:
    `upperBound` - double

### getValue

    public java.lang.Object getValue()

  Description copied from class: `DomainElement`
  Liefert den Wert des Elements.

  Specified by:
    `getValue` in class `DomainElement`
  Returns:
    Object

### plus

    public DomainElement plus(DomainElement param)

  Description copied from class: `DomainElement`
  Methode zur Addition zweier Elemente.

  Specified by:
    `plus` in class `DomainElement`
  Parameters:
    `param` - DomainElement
  Returns:
    DomainElement

### minus

    public DomainElement minus(DomainElement param)

  Description copied from class: `DomainElement`
  Methode zur Subtraktion zweier Elemente.

  Specified by:
    `minus` in class `DomainElement`
  Parameters:
    `param` - DomainElement
  Returns:
    DomainElement

### times

    public DomainElement times(DomainElement param)

  Description copied from class: `DomainElement`
  Methode zur Multiplikation zweier Elemente.

  Specified by:
    `times` in class `DomainElement`
  Parameters:
    `param` - DomainElement
  Returns:
    DomainElement

### divide

    public DomainElement divide(DomainElement param)

  Description copied from class: `DomainElement`
  Methode zur Division zweier Elemente.

  Specified by:
    `divide` in class `DomainElement`
  Parameters:
    `param` - DomainElement
  Returns:
    DomainElement

### uminus

    public DomainElement uminus()

  Description copied from class: `DomainElement`
  Liefert das Element mit negativem Vorzeichen.

  Specified by:
    `uminus` in class `DomainElement`
  Returns:
    DomainElement

### equals

    public boolean equals(DomainElement param)

  Liefert `true`, wenn die obere und untere Schranke des Intervalls jeweils identisch mit der des übergebenen Intervalls ist, `false` wenn nicht.

  Specified by:
    `equals` in class `DomainElement`
  Parameters:
    `param` - DomainElement
  Returns:
    boolean

### notEquals

    public boolean notEquals(DomainElement param)

  Liefert `true`, wenn die obere oder untere Schranke des Intervalls jeweils nicht identisch mit der des übergebenen Intervall ist, `false` wenn nicht.

  Specified by:
    `notEquals` in class `DomainElement`
  Parameters:
    `param` - DomainElement
  Returns:
    boolean

### greaterAs

    public boolean greaterAs(DomainElement param)

  Liefert `true`, wenn sämtliche Werte des Intervalls größer als die des übergebenen Intervalls sind, `false` wenn nicht.

  Specified by:
    `greaterAs` in class `DomainElement`
  Parameters:
    `param` - DomainElement
  Returns:
    boolean

### lowerAs

    public boolean lowerAs(DomainElement param)

  Liefert `true`, wenn sämtliche Werte des Intervalls kleiner als die des übergebenen Intervalls sind, `false` wenn nicht.

  Specified by:
    `lowerAs` in class `DomainElement`
  Parameters:
    `param` - DomainElement
  Returns:
    boolean

### greaterEqualAs

    public boolean greaterEqualAs(DomainElement param)

  Liefert `true`, wenn die Werte des Intervalls größer/gleich dem übergebenen Intervall sind, `false` wenn nicht.

  Specified by:
    `greaterEqualAs` in class `DomainElement`
  Parameters:
    `param` - DomainElement
  Returns:
    boolean

### lowerEqualAs

    public boolean lowerEqualAs(DomainElement param)

  Liefert `true`, wenn die Werte des Intervalls kleiner/gleich dem übergebenen Intervall sind, `false` wenn nicht.

  Specified by:
    `lowerEqualAs` in class `DomainElement`
  Parameters:
    `param` - DomainElement
  Returns:
    boolean

### contains

    public boolean contains(DomainElement param)

  Liefert `true`, wenn alle Werte des übergebenen Intervalls in diesem Intervall vollständig enthalten sind, `false` wenn nicht.

  Parameters:
    `param` - DomainElement
  Returns:
    boolean

### toString

    public java.lang.String toString()

  Description copied from class: `DomainElement`
  Liefert die Belegung dieses Elements als `String`.

  Specified by:
    `toString` in class `DomainElement`
  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD